# Order States

Every order has a consistent `state` field. That is the only correct way to check the progress of your order. The possible order states are the following:

```javascript
const WAITING_PAYMENT = 'waiting-payment'; // order is waiting for a payment to be detected
const WAITING_CONFIRMATION = 'waiting-confirmation'; // payment is detected, waiting for confirmations
const WAITING_PARENT = 'waiting-parent'; // order is waiting for the parent inscription to hit the wallet
const PREP = 'prep'; // order files are being downloaded
const QUEUED = 'queued'; // order is queued for inscription
const ERROR = 'error'; // order has an error
const CANCELED = 'cancelled'; // order is cancelled
const WAITING_REFUND = 'waiting-refund'; // collection order is waiting refund
const REFUNDED = 'refunded'; // collection order was refunded
const EXPIRED = 'expired'; // open node invoice expired
const WAITING_REVEAL = 'waiting-reveal'; // order is waiting to broadcast the inscription reveal
const WAITING_RUNE_BALANCE = 'waiting-rune-balance'; // order is waiting for the rune balance to confirm
const COMPLETED = 'completed'; // order is complted, files are inscribed
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/order-states.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
